按对象选择切换图形对象的排序。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。False AutoCAD 最初仅允许对打印和 PostScript 输出进行排序。设置其他排序选项可能会导致再生和重绘时间变慢。 注意:此属性的值存储在 SORTENTS 系统变量中。
例子工 务 局: Sub Example_ObjectSortBySelection() ' This example reads and modifies the preference value that controls ' the sorting of drawing objects by object selection. ' When finished, this example resets the preference value back to ' its original value. Dim ACADPref As AcadDatabasePreferences Dim originalValue As Variant, newValue As Variant ' Get the user preferences object Set ACADPref = ThisDrawing.preferences ' Read and display the original value originalValue = ACADPref.ObjectSortBySelection MsgBox "The ObjectSortBySelection preference is set to: " & originalValue ' Modify the ObjectSortBySelection preference by toggling the value ACADPref.ObjectSortBySelection = Not (ACADPref.ObjectSortBySelection) newValue = ACADPref.ObjectSortBySelection MsgBox "The ObjectSortBySelection preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.ObjectSortBySelection = originalValue MsgBox "The ObjectSortBySelection preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_ObjectSortBySelection() ;; This example reads and modifies the preference value that controls ;; the sorting of drawing objects by object selection. ;; When finished, this example resets the preference value back to ;; its original value. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq preferences (vla-get-Preferences doc)) ;; Read and display the original value (setq originalValue (vla-get-ObjectSortBySelection preferences)) (alert (strcat "The ObjectSortBySelection preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the ObjectSortBySelection preference by toggling the value (vla-put-ObjectSortBySelection preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-ObjectSortBySelection preferences)) (alert (strcat "The ObjectSortBySelection preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-ObjectSortBySelection preferences originalValue) (alert (strcat "The ObjectSortBySelection preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:49
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.